package cokr.xit.ens.biz.traffic.chuncheon.mydoc.domain.repository;

import cokr.xit.ens.biz.traffic.chuncheon.mydoc.domain.ElctrnNticSndng;
import cokr.xit.ens.biz.traffic.chuncheon.mydoc.domain.ElctrnNticSndngDetail;

import java.util.List;
import java.util.Optional;

public interface ElctrnNticSndngDetailRepositoryCustom {


    List<ElctrnNticSndngDetail> findAllDecByElctrnNticSndng(ElctrnNticSndng elctrnNticSndng);


    List<ElctrnNticSndngDetail> findAllFetchByElctrnNticSndngId(String elctrnNticSndngId);

    Optional<Long> findLastSendMastIdByElctrnNticSndngId(String elctrnNticSndngId);

    String findIhidnumDecByElctrnNticSndngDetailId(String elctrnNticSndngDetailId);
}
